package jogl;

public class WrinkleVector {
	static int numClusters = -1;
	
	int[] vector;
	
	public WrinkleVector(){
		vector = new int[numClusters];
	}
	
	public static WrinkleVector avg(Image images[]){
		WrinkleVector output = new WrinkleVector();
		for(int i = 0; i < images.length; i++){
			if(output.vector.length != images[i].wrinkleVector.vector.length)
				throw new RuntimeException("wrong");
			for(int j = 0; j < output.vector.length; j++){
				output.vector[j] += images[i].wrinkleVector.vector[j];
			}
		}

		for(int j = 0; j < output.vector.length; j++){
			output.vector[j] /= images.length;
		}
		
		return output;
	}
	
	public String toString(){
		String output = "";
		for(int i = 0; i < vector.length; i++)
			output += vector[i] + "   ";
		return output;
	}
}
